"DNX SDK version 'dnx-clr-win-x86.1.0.0-beta5' failed to install" hatası ve çözümü

9. Ağustos 2015

Visual Studio 2015 ile ASP.NET 5'e gelen yeni özellikleri incelemek üzere ilk ASP.NET 5 projenizi açtığınız ve derleyip çalıştırmaya çalıştığınız anda tüm hevesinizi söndüren bu hatanın temelinde aslında .NET Framework'e gelen yeni bir özellik sebep oluyor.

 

DNX SDK version 'dnx-clr-win-x86.1.0.0-beta5' failed to install.

The solution will use DNX SDK version ‘dnx-clr-win-x86.1.0.0-beta5’ for this session.

 

Bu hata, .NET Framework Version Manager tarafından yüklenmeye çalışılan, ASP.NET 5'i içeren .NET Execution Environment (DNX) SDK'sının yüklenmesi sırasında alınan bir hata. Sebebi Windows 7'de Powershell 3.0 versiyonunun kurulu olmamasından kaynaklı. Bu hata ile ilgili detaylar Microsoft destek sayfasında mevcut.

PowerShell'in hangi versiyonuna sahip olduğumuzu görmek için powershell komut satırına aşağıdaki komutu yazıp görebiliriz.

$PSVersionTable

PowerShell 3.0 versiyonunu kurmak için Microsoft'un PowerShell 3.0 Download sayfasından güncellemeyi indirip kurulumu yaptıktan sonra komut satırında şunu görüyor olmalıyız : 

PowerShell'i 3.0 veya daha üst versiyona yükselttikten sonra projeyi yeniden açıp ve derleyince işlemin biraz uzun sürdüğünü ve output penceresini açarsanız ASP.NET 5'i kullanabilmek için ihtiyaç duyduğumuz DNX versiyonunun indirilip yüklendiğini göreceksiniz.

Komut satırını açıp dnvm list komutu ile makinanızda kurulu DNX versiyonlarını listelerseniz aşağıdakine benzer bir çıktı ile karşılaşırız. Dilersek yine dnvm komutlarını kullanarak ihtiyacınız olan DNX versiyonlarını makinamıza kurabiliriz.

 

, , ,

Yorum ekle

biuquote
  • Yorum
  • Canlı önizleme
Loading